org.apache.ignite.mxbean

## Interface FailureHandlingMxBean

-     @MXBeanDescription(value="MBean that controls critical failure handling.")
      public interface FailureHandlingMxBean

  MBean that controls critical failure handling.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getCheckpointReadLockTimeout()`
    `boolean` | `getLivenessCheckEnabled()`
    `long` | `getSystemWorkerBlockedTimeout()`
    `void` | `setCheckpointReadLockTimeout(long val)`
    `void` | `setLivenessCheckEnabled(boolean val)`
    `void` | `setSystemWorkerBlockedTimeout(long val)`

- - ### Method Detail

    - #### getLivenessCheckEnabled

          @MXBeanDescription(value="Enable/disable critical workers liveness checking.")
          boolean getLivenessCheckEnabled()

      Returns:
        Whether critical workers liveness checking is enabled.

    - #### setLivenessCheckEnabled

          void setLivenessCheckEnabled(boolean val)

      Parameters:
        `val` - Whether critical workers liveness checking is enabled.

    - #### getSystemWorkerBlockedTimeout

          @MXBeanDescription(value="Maximum inactivity period for system worker. Critical failure handler fires if exceeded. Nonpositive value denotes infinite timeout.")
          long getSystemWorkerBlockedTimeout()

      Returns:
        Maximum inactivity period for system worker. Negative value denotes infinite timeout.

    - #### setSystemWorkerBlockedTimeout

          void setSystemWorkerBlockedTimeout(long val)

      Parameters:
        `val` - Maximum inactivity period for system worker. Negative value denotes infinite timeout.

    - #### getCheckpointReadLockTimeout

          @MXBeanDescription(value="Timeout for checkpoint read lock acquisition. Critical failure handler fires if exceeded. Nonpositive value denotes infinite timeout.")
          long getCheckpointReadLockTimeout()

      Returns:
        Timeout for checkpoint read lock acquisition. Negative value denotes infinite timeout.

    - #### setCheckpointReadLockTimeout

          void setCheckpointReadLockTimeout(long val)

      Parameters:
        `val` - Timeout for checkpoint read lock acquisition. Negative value denotes infinite timeout.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023